[Overview][Constants][Classes][Index] | Reference for unit 'inicol' (#fcl)

# TIniCollection.SaveToFile

Save collection to a file in .ini file format

## Declaration

Source position: inicol.pp line 49

`public procedure TIniCollection.SaveToFile(`
`AFileName: string;`
`Section: string`
`);`

## Arguments

`AFileName` |  | File to save collection to.
`Section` |  | Section name for global section.

## Description

SaveToFile will create a TMemIniFile instance with the AFileName argument as a filename. This instance is passed on to the SaveToIni method, together with the Section argument, to do the actual saving.

## Errors

An exception may be raised if the path in AFileName does not exist.

## See also

TIniCollection.SaveToIni |  | Save the collection to a TCustomIniFile descendent
TIniCollection.LoadFromFile |  | Load collection from file.